import { Application } from '@hotwired/stimulus';
import SettingController from '../controllers/settings_controller.js';
import ToolbarController from '../controllers/toolbar_controller.js';
import ClipperController from '../controllers/clipper_controller.js';
import MenuController from '../controllers/menu_controller.js';
import ModalController from '../controllers/modal_controller.js';

/**
 * Initialize Stimulus controllers
 */
export function initStimulus() {
    window.Stimulus = Application.start();
    Stimulus.register("settings", SettingController);
    Stimulus.register("toolbar", ToolbarController);
    Stimulus.register("clipper", ClipperController);
    Stimulus.register("menu", MenuController);
    Stimulus.register("modal", ModalController);
}